module.exports = function (grunt) {
  grunt.initConfig({
    watch: {
      compass: {
        files: ['css/jee.scss', 'css/wysiwyg.scss'],
        tasks: ['compass:dev']
      },
      postcss: {
        files: ['css/jee.scss', 'css/wysiwyg.scss'],
        tasks: ['postcss']
      },
      //    options: {
      //         livereload: true,
      //     },
    },
    compass: {
      dev: {
        options: {
          sassDir: 'css',
          cssDir: 'css',
          imagesPath: 'assets/img',
          noLineComments: false,
          // outputStyle: 'compressed'
        }
      }
    },
    postcss: {
      options: {
        processors: [
          require('autoprefixer-core')({
            browsers: ['> 1%'] //, 'ie 8', 'ie 7', 'FirefoxAndroid', 'ExplorerMobile', 'ChromeAndroid'
          }).postcss,
        ]
      },
      dist: { src: 'css/*.css' }
    },
    svg2png: {
        assets: {
            // specify files in array format with multiple src-dest mapping
            files: [
                // rasterize all SVG files in "img" and its subdirectories to "img/png"
                // { src: ['assets/img/*.svg'], dest: 'assets/img/png/' },
                // rasterize SVG file to same directory
                { src: ['assets/img/*.svg'] }
            ]
        }
    }
  });
  grunt.loadNpmTasks('grunt-contrib-compass');
  grunt.loadNpmTasks('grunt-contrib-sass');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-postcss');
  grunt.loadNpmTasks('grunt-svg2png');


  grunt.registerTask('default', ['compass', 'postcss', 'svg2png']);
};